### Method

# Qmi IndicationNasSystemInfoOutput get_hdr_system_info

since: 1.0

#### Declaration [src]

    gboolean
    qmi_indication_nas_system_info_output_get_hdr_system_info (
      QmiIndicationNasSystemInfoOutput* self,
      gboolean* value_hdr_system_info_domain_valid,
      QmiNasNetworkServiceDomain* value_hdr_system_info_domain,
      gboolean* value_hdr_system_info_service_capability_valid,
      QmiNasNetworkServiceDomain* value_hdr_system_info_service_capability,
      gboolean* value_hdr_system_info_roaming_status_valid,
      QmiNasRoamingStatus* value_hdr_system_info_roaming_status,
      gboolean* value_hdr_system_info_forbidden_valid,
      gboolean* value_hdr_system_info_forbidden,
      gboolean* value_hdr_system_info_prl_match_valid,
      gboolean* value_hdr_system_info_prl_match,
      gboolean* value_hdr_system_info_personality_valid,
      QmiNasHdrPersonality* value_hdr_system_info_personality,
      gboolean* value_hdr_system_info_protocol_revision_valid,
      QmiNasHdrProtocolRevision* value_hdr_system_info_protocol_revision,
      gboolean* value_hdr_system_info_is_856_system_id_valid,
      const gchar** value_hdr_system_info_is_856_system_id,
      GError** error
    )

#### Description [src]

Get the ‘HDR System Info’ field from `self`.

Available since: 1.0

#### Parameters

`value_hdr_system_info_domain_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_domain`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_hdr_system_info_service_capability_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_service_capability`

  Type: `QmiNasNetworkServiceDomain`

  A placeholder for the output `QmiNasNetworkServiceDomain`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_hdr_system_info_roaming_status_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_roaming_status`

  Type: `QmiNasRoamingStatus`

  A placeholder for the output `QmiNasRoamingStatus`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_hdr_system_info_forbidden_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_forbidden`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_prl_match_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_prl_match`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_personality_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_personality`

  Type: `QmiNasHdrPersonality`

  A placeholder for the output `QmiNasHdrPersonality`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_hdr_system_info_protocol_revision_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_protocol_revision`

  Type: `QmiNasHdrProtocolRevision`

  A placeholder for the output `QmiNasHdrProtocolRevision`, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_hdr_system_info_is_856_system_id_valid`

  Type: `gboolean*`

  A placeholder for the output #gboolean, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.

`value_hdr_system_info_is_856_system_id`

  Type: `const gchar**`

  A placeholder for the output constant string, or `NULL` if not required.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the field is found, `FALSE` otherwise.